﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;
using System.Data.SqlClient;
namespace Library
{
    public partial class frmsetting : RadForm
    {
        string us, pw;
        public frmsetting(string _us,string _pw)
        {
            us = _us;
            pw = _pw;
            InitializeComponent();
        }

        private void btnback_Click(object sender, EventArgs e)
        {
            this.Hide();
        }

        private void frmsetting_Load(object sender, EventArgs e)
        {
            txtus.Text = us;
            txtpw.Text = pw;
        }

        private void btnchange_Click(object sender, EventArgs e)
        {
            try
            {
                DataSet1TableAdapters.tbluserTableAdapter ta = new DataSet1TableAdapters.tbluserTableAdapter();
                ta.updateuser(txtus.Text, txtpw.Text, us, pw);
                MessageBox.Show("تغییرات با موفقیت اعمال شد", "ویرایش اطلاعات");
                Application.Restart();
            }
            catch { }
        }

        private void btnbackup_Click(object sender, EventArgs e)
        {
            try
            {
                if (saveFileDialog1.ShowDialog() == DialogResult.OK)
                {
                    btnback.Enabled = false;
                    btnrestore.Enabled = false;
                    string command = @"BACKUP DATABASE [" + Application.StartupPath + "\\libdb.mdf] TO DISK = N'" + saveFileDialog1.FileName + "'  WITH FORMAT, INIT,  NAME = N'accounting-Full Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10";
                    this.Cursor = Cursors.WaitCursor;
                    SqlConnection objconnection = new SqlConnection(@"Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\libdb.mdf;Integrated Security=True;User Instance=True");
                    SqlCommand oCommand = null;
                    if (objconnection.State != ConnectionState.Open)
                        objconnection.Open();
                    oCommand = new SqlCommand(command, objconnection);
                    oCommand.ExecuteNonQuery();
                    this.Cursor = Cursors.Default;
                    objconnection.Close();
                    btnback.Enabled = true;
                    btnrestore.Enabled = true;
                    MessageBox.Show("فایل پشتیبان ذخیره شد", "اعلان");
                    oCommand.Dispose();

                }
            }
            catch { }
        }

        private void btnrestore_Click(object sender, EventArgs e)
        {
            try
            {

                SqlConnection objconnection = new SqlConnection(@"Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\libdb.mdf;Integrated Security=True;User Instance=True");
                objconnection.Open();
                if (openFileDialog1.ShowDialog() == DialogResult.OK)
                {
                    btnback.Enabled = false;
                    btnrestore.Enabled = false;
                    string s1 = "ALTER DATABASE [" + Application.StartupPath + "\\libdb.mdf] SET OFFLINE WITH ROLLBACK IMMEDIATE";
                    string s2 = "ALTER DATABASE [" + Application.StartupPath + "\\libdb.mdf] SET MULTI_USER";
                    string query = "RESTORE DATABASE [" + Application.StartupPath + "\\libdb.mdf] FROM DISK ='" + openFileDialog1.FileName + "' WITH RECOVERY,REPLACE";
                    SqlCommand cmd = new SqlCommand();
                    cmd.CommandText = s1;
                    cmd.Connection = objconnection;
                    cmd.ExecuteNonQuery();

                    cmd.CommandText = s2;
                    cmd.Connection = objconnection;
                    cmd.ExecuteNonQuery();
                    cmd.CommandText = query;
                    cmd.Connection = objconnection;
                    cmd.ExecuteNonQuery();

                    cmd.Dispose();
                    btnrestore.Enabled = true;
                    btnback.Enabled = true;
                    MessageBox.Show("بانک اطلاعاتی با موفقیت بازگردانی شد", "اعلان");
                    Application.Restart();
                }
            }
            catch { }
        }

  
   
    }
}
