﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;
namespace Library
{
    public partial class frmbooks : RadForm
    {
        public frmbooks()
        {
            InitializeComponent();
        }

        private void frmbooks_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'dataSet1.tblbook' table. You can move, or remove it, as needed.
            this.tblbookTableAdapter.Fill(this.dataSet1.tblbook);

        }

        private void btnnew_Click(object sender, EventArgs e)
        {
            frmnewbook fn = new frmnewbook();
            fn.ShowDialog();
        }

        private void frmbooks_Activated(object sender, EventArgs e)
        {
            DataSet1TableAdapters.tblbookTableAdapter ta = new DataSet1TableAdapters.tblbookTableAdapter();
            ta.Fill(dataSet1.tblbook);
        }

        private void btnback_Click(object sender, EventArgs e)
        {
            this.Hide();
        }

        private void btndaste_Click(object sender, EventArgs e)
        {
            frmgroupmanager fg = new frmgroupmanager();
            fg.ShowDialog();
        }

        private void btndelete_Click(object sender, EventArgs e)
        {
            try
            {
                int i = int.Parse(dg2.CurrentRow.Cells[0].Value.ToString());
                if (MessageBox.Show("آیا میخواهید این کتاب را حذف کنید؟", "حذف کتاب", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
                {
                    DataSet1TableAdapters.tblbookTableAdapter ta = new DataSet1TableAdapters.tblbookTableAdapter();
                    ta.deletebook(i.ToString());
                    MessageBox.Show("کتاب مورد نظر شما با موفقیت حذف شد", "حذف کتاب");
                }
            }
            catch { }
        }

        private void btnedit_Click(object sender, EventArgs e)
        {
            try
            {
                
                frmeditbook fg = new frmeditbook();
                fg.txt3.Mask = "";
                fg.lblid.Text = dg2.CurrentRow.Cells[0].Value.ToString();
                fg.txt1.Text = dg2.CurrentRow.Cells[1].Value.ToString();
                fg.txt2.Text = dg2.CurrentRow.Cells[2].Value.ToString();
                fg.txt3.Text = dg2.CurrentRow.Cells[3].Value.ToString();
                fg.txt4.Text = dg2.CurrentRow.Cells[4].Value.ToString();
                fg.txt5.Text = dg2.CurrentRow.Cells[5].Value.ToString();
                fg.ShowDialog();

            }
            catch { }
        }

        private void txtsearch_TextChanged(object sender, EventArgs e)
        {
            if (combo1.Text == "")
            {
                MessageBox.Show("لطفا الگویی برای جستجو انتخاب کنید", "جستجو");
            }
            else
            {
                DataSet1TableAdapters.tblbookTableAdapter ta = new DataSet1TableAdapters.tblbookTableAdapter();
                if (combo1.SelectedIndex == 0)
                {
                    ta.sid(dataSet1.tblbook, txtsearch.Text);
                }
                else if (combo1.SelectedIndex == 1)
                {
                    ta.sname(dataSet1.tblbook, txtsearch.Text);
                }
                else if (combo1.SelectedIndex == 2)
                {
                    ta.sdaste(dataSet1.tblbook, txtsearch.Text);
                  
                }
                else if (combo1.SelectedIndex == 3)
                {
                    ta.snasher(dataSet1.tblbook, txtsearch.Text);
                }
            }
        }

  
    }
}
