﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;
using System.Globalization;
namespace Library
{
    public partial class frmnewbook : RadForm
    {
        public frmnewbook()
        {
            InitializeComponent();
        }
        System.Globalization.PersianCalendar pc = new System.Globalization.PersianCalendar();
        DateTime dt = new DateTime();
        private void frmnewbook_Load(object sender, EventArgs e)
        {
            DataSet1TableAdapters.tbldasteTableAdapter ta = new DataSet1TableAdapters.tbldasteTableAdapter();
            DataSet1TableAdapters.tblbookTableAdapter tg = new DataSet1TableAdapters.tblbookTableAdapter();
            ta.Fill(dataSet1.tbldaste);
            tg.Fill(dataSet1.tblbook);
            try
            {
                this.tbldasteTableAdapter.Fill(this.dataSet1.tbldaste);
                this.tblbookTableAdapter.Fill(this.dataSet1.tblbook);
                for (int i = 0; i < dataGridViewX2.Rows.Count; i++)
                {
                    txtgroup.Items.Add(dataGridViewX2.Rows[i].Cells[1].Value.ToString());
                }

            }
            catch { }
        }

        private void btnadd_Click(object sender, EventArgs e)
        {
            try
            {
                if (txtname.Text == "" || txtnasher.Text == "" || txtsal.Text == "" || txtgroup.Text == "" || txtdetails.Text == "")
                {
                    MessageBox.Show("لطفا تمام فیلد ها راپر کنید", "خطا");
                }
                else
                {
                    DataSet1TableAdapters.tblbookTableAdapter ta = new DataSet1TableAdapters.tblbookTableAdapter();
                    ta.inserbook(dataGridViewX1.RowCount.ToString(), txtname.Text, txtnasher.Text, txtsal.Text, txtgroup.Text, txtdetails.Text);
                    MessageBox.Show("کتاب جدید با موفقیت ثبت شد", "ثبت کتاب");
                    this.Hide();
                }
            }
            catch { }
        }

        private void btnback_Click(object sender, EventArgs e)
        {
            this.Hide();
        }

        private void btntoday_Click(object sender, EventArgs e)
        {
            try
            {
                dt = DateTime.Now;
                string roz = pc.GetDayOfMonth(dt).ToString() ;
                string mah=pc.GetMonth(dt).ToString();
                string sal=pc.GetYear(dt).ToString();
                txtsal.Mask = "";
                txtsal.Text = sal + "/" + mah + "/" + roz;
            }
            catch { }
        }

        private void txtsal_Enter(object sender, EventArgs e)
        {
            if (txtsal.Mask == "")
            {
                txtsal.Mask = "0000/00/00";
            }
        }


    }
}
